TCPSocket(3)

NAME
TCPSocket -

SYNOPSIS

Inherited by TCPIOSocket, and TCPServerSocket.

  Public Member Functions
void create ()
void bind (u_int16_t port_begin, u_int16_t port_fence)
int port ()
u_int32_t addr ()
bool initialized ()
bool bound ()
virtual void close ()

  Protected Attributes
int socket_
int port_
bool initialized_
bool bound_

Author

Generated automatically by Doxygen for MPQC from the source code.